#include <iostream>
using namespace std;

int dp[201][201];
/*
Fun problem! I think this would be a medium/hard problem, but it depends a bit how familiar contestants are with
Dynamic programming
Some thinking before arriving at the state of the DP.
The implementation is very short and nice, which is a plus.
*/
int main() {
    // dp[l][r] = min coins to pay when range [l,r] is left.
    // this DP implementation uses some out-of-bounds values with l<r.
    // Luckily those are 0 default initialized, and they should be 0.
    int n; cin >> n;
    for(int l=n;l>=1;--l) {
        for(int r=l;r<=n;++r) {
            dp[l][r] = 1e9;
            for(int mid = l;mid<=r;++mid) {
                dp[l][r] = min(dp[l][r], max(dp[l][mid-1],dp[mid+1][r])+mid);
            }
        }
    }
    cout << dp[1][n] << '\n';
}