#!/usr/bin/python3
import functools


@functools.cache
def cost(low, high):
    return low if low == high else min(
        mid + max(low < mid and cost(low, mid - 1), mid < high and cost(mid + 1, high))
        for mid in range(low, high + 1))


print(cost(1, int(input())))
