#!/usr/bin/python3

n = int(input())
cache = [[None] * (n + 1) for _ in range(n + 1)]


def cost(low, high):
    if cache[low][high] is None:
        cache[low][high] = low if low == high else min(
            mid + max(low < mid and cost(low, mid - 1), mid < high and cost(mid + 1, high))
            for mid in range(low, high + 1))
    return cache[low][high]


print(cost(1, n))
