#include <iostream>
#include <vector>

using namespace std;

int main() {
    cin.tie(NULL)->sync_with_stdio(false);
    int n, e, q;
    cin >> n >> e >> q;
    vector<vector<int>> adj(n, vector<int>(n, 0));
    for (int i = 0; i < e; i++) {
        int r, c;
        cin >> r >> c;
        r--; c--;
        adj[r][c] = 1;
    }

    //check whether a graph centre extists
    for (int i = 0; i < q; i++) {
        int s;
        cin >> s;
        vector<int> que(s);
        for (int j = 0; j < s; j++) {
            cin >> que[j];
            que[j]--;
        }
        for (auto x : que) {
            for (int j = 0; j < n; j++) {
                swap(adj[x][j], adj[j][x]);
            }
        }

        int isPossible = -1;
        for(int j = 0; j<n; ++j){
            bool b=0;
            for (int k=0; k<n; ++k){
                if(adj[j][k] == 0 && k!=j){
                    b=1;
                    break;
                }
            }
            if (b == 0){
                isPossible = j;
                break;
            }
        }

        if (isPossible == -1) {
            cout << "impossible\n";
        }
        else {
            cout << isPossible+1 << '\n';
        }
    }

    return 0;
}

