#include <iostream>
#include <string>
using namespace std;
/*
problem statement is pretty clear.
But it would be nice to have some visual for a sample testcase (so a rectangular cake with some cuts in it)
Maybe there's some bug in cuttingcake.py: It seems it rounds the inequality upwards for the number of pieces, instead of downwards.
This make it such that it sometimes uses 1 more piece than actually is allowed.
*/
int main() {
    int k,s; cin >> k >> s;
    // need to cut it?
    // h horizontal, w vertical
    // smaller of the two sides is <= sqrt(1e9)
    int ans = 1e9;
    for(int w=1;w<=1e6;++w) {
        int h = (k+w-1)/w;
        // 1/(h*w) >= (100 - s)/100 * (1/k)
        // 100*k >= (100-s)*h*w
        if(100LL*k >= (100LL-s)*h*w) {
            ans = min(ans,h-1+w-1);
        }
    }
    cout << ans << '\n';
}
