#!/usr/bin/python3

cache = dict()


def cost(low, high):
    if (low, high) not in cache:
        cache[(low, high)] = low if low == high else min(
            mid + max(low < mid and cost(low, mid - 1), mid < high and cost(mid + 1, high))
            for mid in range(low, high + 1))
    return cache[(low, high)]


print(cost(1, int(input())))
